Delete search result reports by scheduled search: Request

Prev Next

To delete all search result reports for a specific scheduled search, send the following request:

DELETE https://<IA_IP_address>:<port_number>/
scheduledsearch/v1/watchreport/<user_name>/<scheduled_search_name>

Required header:

Cookie: px=<token>

Options

  • IA_IP_address—The IP address of the NDR appliance running the NDR API.

  • port_number—The port number of the NDR appliance running the NDR API.

  • user_name—The name of the user. The user_name must be for a currently logged-in user.

  • scheduled_search_name—The name of the scheduled search. It must be already created.

  • token—This token authenticates the session. By default, the session times out after 24 hours.

Example

DELETE https://xxx.xxx.xxx.xxx:443/scheduledsearch/v1/watchreport/npadmin/test

Required header:

Cookie: px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

Delete search result reports by scheduled search: Response

HTTP/1.1 [Response Code] [Response Message]				
Server: [Server]
Date: [Date]				
Content-Type: [Content Type]
Response fields
  • Response Code—A standard HTTP response code.

    • 200—Request successful; the specified information was deleted.

    • 410—Request unsuccessful because the scheduled search does not exist.

  • Response Message—A standard HTTP response message.

    • OK—Request successful; the specified information was deleted.

    • Gone—Request unsuccessful because the scheduled search does not exist.

  • Date—Standard HTML date format.

  • Content Type—The response format.

Example
HTTP/1.1 200 OK
Server: nginx
Date: Thu, 28 Apr 2016 17:55:14 GMT
Content-Type: application/json; charset=utf-8
curl -X DELETE -k -H "Content-Type: application/json" --cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" https://xxx.xxx.xxx.xxx:443/scheduledsearch/v1/watchreport/npadmin/test

This cURL sample includes the following options:

  • -X DELETE—This option specifies using the DELETE method.

  • -k—This option explicitly allows cURL to perform insecure SSL connections and transfers, which allows you to test your SSL connection without installing a CA certificate.

  • -H "Content-Type: application/json"—This header specifies that the request body is in JSON format.

  • --cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"—This option specifies the authentication token for this session.

  • https://xxx.xxx.xxx.xxx:443/scheduledsearch/v1/watchreport/npadmin/test—The scheduled search request URL. Replace xxx.xxx.xxx.xxx with the IP address of your NDR appliance. Replace npadmin with the name of the user who created the scheduled search. Replace test with the name of the scheduled search of interest.

Results

This example deletes all search result reports for a specific scheduled search.